# $Revision: 1.19 $, $Date: 2002/07/27 21:36:15 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Clean
Summary:	HTML::Clean Perl module
Summary(cs):	Modul HTML::Clean pro Perl
Summary(da):	Perlmodul HTML::Clean
Summary(de):	HTML::Clean Perl Modul
Summary(es):	Mdulo de Perl HTML::Clean
Summary(fr):	Module Perl HTML::Clean
Summary(it):	Modulo di Perl HTML::Clean
Summary(ja):	HTML::Clean Perl ⥸塼
Summary(ko):	HTML::Clean  
Summary(no):	Perlmodul HTML::Clean
Summary(pl):	Modu Perla HTML::Clean
Summary(pt):	Mdulo de Perl HTML::Clean
Summary(pt_BR):	Mdulo Perl HTML::Clean
Summary(ru):	  Perl HTML::Clean
Summary(sv):	HTML::Clean Perlmodul
Summary(uk):	  Perl HTML::Clean
Summary(zh_CN):	HTML::Clean Perl ģ
Name:		perl-HTML-Clean
Version:	0.8
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The HTML::Clean module cleans and optimizes HTML documents.

%description -l pl
Modu HTML::Clean czyci i optymalizuje dokumenty HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%attr(755,root,root) %{_bindir}/*
%{perl_sitelib}/HTML/*.pm
%dir %{perl_sitelib}/auto/HTML
%dir %{perl_sitelib}/auto/HTML/Clean
%{perl_sitelib}/auto/HTML/Clean/autosplit.ix
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-HTML-Clean.spec,v $
Revision 1.19  2002/07/27 21:36:15  ankry
- translations, cleaning
- new %%doc
- added autosplit.ix and necessary dirs
- release 7

Revision 1.18  2002/07/10 08:47:28  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:50  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:54  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:49  depesz
adapterized

Revision 1.12  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:10:03  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 16:11:01  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/11/17 14:56:09  kloczek
- updated to 0.8,
- use new rpm automation.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:35  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 18:42:13  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/09/28 14:34:27  pius
- initial release
based on autogenerated spec file from RH
